Commit b5a3dbe1 authored by Alexis de Lattre's avatar Alexis de Lattre

VLC 0.5.2 is out !!! Enjoy !

parent 93dde38e
......@@ -6,9 +6,9 @@ to change the default settings, you can compile VLC from sources.</para>
<sect2><title>Under Windows</title>
<para>VLC works under Windows 95/98/ME/2000/XP.
Download the Zipip file from the <ulink
Download the self-extracting file from the <ulink
url="http://www.videolan.org/vlc/download-windows.html">VLC Windows
download page</ulink>. Unzip the file in a directory to install
download page</ulink>. Launch the <filename>.exe</filename> to install
VLC.</para>
</sect2>
......@@ -53,7 +53,7 @@ deb-src http://www.videolan.org/pub/videolan/debian sources/
<screen>
<prompt># </prompt><userinput>apt-get update</userinput>
<prompt># </prompt><userinput>apt-get install gnome-vlc vlc-plugin-mad vlc-plugin-ogg libdvdcss2</userinput>
<prompt># </prompt><userinput>apt-get install gnome-vlc libdvdcss2</userinput>
</screen>
</sect2>
......
......@@ -38,7 +38,7 @@ A/52 stream decoder.</li>
<li><a
href="http://www.dtek.chalmers.se/groups/dvd/downloads.shtml">libdvdread
</a> : a free DVD reading librairy.</li>
</a> : a free DVD reading library.</li>
<li><a href="http://www.vorbis.com">Ogg Vorbis</a> : a free and patent-free audio format and codec.</li>
......@@ -57,9 +57,10 @@ href="http://www.dtek.chalmers.se/groups/dvd/downloads.shtml">libdvdread
<li><a href="http://www.linuxtv.org">linuxtv.org</a> : free Linux drivers for
Satellite, Digitial Terrestial Television and MPEG encoding cards.</li>
<li><a href="http://www.metzlerbros.org/dvb/">libdvb</a> : a free librairy to access the DVB drivers.</li>
<li><a href="http://www.metzlerbros.org/dvb/">libdvb</a> : a free
library to access the DVB drivers.</li>
</ul>
<? footer('$Id: links.html,v 1.7 2003/03/11 16:57:06 alexis Exp $'); ?>
<? footer('$Id: links.html,v 1.8 2003/03/11 22:52:33 alexis Exp $'); ?>
......@@ -13,12 +13,21 @@ visit <a href="http://www.via.ecp.fr/via/journeevia2003.html">this
page</a>. To receive an invitation, send a mail to <a
href="mailto:journee2003@via.ecp.fr">journee2003@via.ecp.fr</a>.
|11 Mar 2003| Release: VLC 0.5.2 | This new release features
improved audio quality (especially under Mac OS X), support for
new audio formats (audio DV and FLAC), support for streaming of
DivX 1/2/3, WMV 1/2 and h/i263 with VLC's stream output and many
bug fixes (including the lock-ups under Mac OS X). To download the
sources or the binary packages of this new version, go to the <a
href="http://www.videolan.org/vlc/">VLC download page</a> and click on
your OS logo!
|11 Mar 2003| Release: VLS 0.5.0 | This major release features a
new command line interface, support for the new LinuxTV drivers
(which brings support for the streaming of digital terrestial
television channels), MPEG-4 TS support and many bug fixes. Because
of a well hidden bug, VLS is not available under Windows any
more. To download the sources of this new version, got to the <a
more. To download the sources of this new version, go to the <a
href="http://www.videolan.org/streaming/">streaming page</a>.
|10 Mar 2003| Release: libdvdcss 1.2.6 | This is a bug
......
......@@ -20,10 +20,10 @@
<p> For a normal install, do :</p>
<p>
<code>apt-get update<br />
<code>apt-get install vls-dvd libdvdcss2</code>
</p>
<pre>
# apt-get update
# apt-get install vls-dvd libdvdcss2
</pre>
<? h2("Debian packages for i386"); ?>
......@@ -54,4 +54,4 @@
<p>Older versions can be found by <a
href="http://www.videolan.org/pub/vls/">browsing</a> our FTP site.</p>
<? footer('$Id: download-vls-debian.html,v 1.2 2003/03/09 22:54:04 alexis Exp $'); ?>
<? footer('$Id: download-vls-debian.html,v 1.3 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -9,10 +9,10 @@
<h1> VLC for BeOS </h1>
<? h2("Latest BeOS package (0.5.1)"); ?>
<? h2("Latest BeOS package (0.5.2)"); ?>
<ul>
<? pkgitem("0.5.1/beos","vlc-0.5.1-BeOS.zip"); ?>
<? pkgitem("0.5.2/beos","vlc-0.5.2-BeOS.zip"); ?>
</ul>
<? h2("Older versions"); ?>
......@@ -20,4 +20,4 @@
<p> Older versions can be found by <a href="/pub/vlc/">browsing</a> our
FTP site. </p>
<? footer('$Id: download-beos.html,v 1.14 2003/02/17 13:57:11 alexis Exp $'); ?>
<? footer('$Id: download-beos.html,v 1.15 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -20,61 +20,47 @@
<p> For a normal install, do :</p>
<p>
<code>apt-get update<br />
<code>apt-get install gnome-vlc vlc-plugin-mad vlc-plugin-ogg libdvdcss2</code>
</p>
<pre>
# apt-get update
# apt-get install gnome-vlc libdvdcss2
</pre>
<? h2("Debian packages for i386"); ?>
<p>Here is the complete list of the latest Debian x86 packages (0.5.1):</p>
<p>Here is the complete list of the latest Debian x86 packages (0.5.2):</p>
<ul><?
pkgitem("vlc/0.5.1/deb","vlc_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc_0.5.2-0woody.1_i386.deb");
?></ul>
<p> Mozilla plugin: </p>
<ul><?
pkgitem("vlc/0.5.1/deb","mozilla-plugin-vlc_0.5.1-0woody.1_i386.deb");
?></ul>
<p> Codec plugins: </p>
<ul><?
pkgitem("vlc/0.5.1/deb","vlc-plugin-a52_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-dv_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-mad_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-ogg_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","mozilla-plugin-vlc_0.5.2-0woody.1_i386.deb");
?></ul>
<p> Interface plugins: </p>
<ul><?
pkgitem("vlc/0.5.1/deb","gnome-vlc_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","gvlc_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","kvlc_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","qvlc_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","gnome-vlc_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","gvlc_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","kvlc_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","qvlc_0.5.2-0woody.1_i386.deb");
?></ul>
<p> Video plugins: </p>
<ul><?
pkgitem("vlc/0.5.1/deb","vlc-plugin-sdl_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-aa_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-ggi_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-glide_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-svgalib_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-sdl_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-ggi_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-glide_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-svgalib_0.5.2-0woody.1_i386.deb");
?></ul>
<p> Audio plugins: </p>
<ul><?
pkgitem("vlc/0.5.1/deb","vlc-plugin-alsa_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-arts_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-esd_0.5.1-0woody.1_i386.deb");
?></ul>
<p> Extra plugins:</p>
<ul><?
pkgitem("vlc/0.5.1/deb","vlc-plugin-dvb_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-lirc_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.1/deb","vlc-plugin-xosd_0.5.1-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-alsa_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-arts_0.5.2-0woody.1_i386.deb");
pkgitem("vlc/0.5.2/deb","vlc-plugin-esd_0.5.2-0woody.1_i386.deb");
?></ul>
<p>Librairies:</p>
<ul><?
pkgitem("libdvdcss/1.2.5/deb","libdvdcss2_1.2.5-1_i386.deb");
pkgitem("libdvdcss/1.2.6/deb","libdvdcss2_1.2.6-1_i386.deb");
pkgitem("libdvdread/0.9.3/deb","libdvdread2_0.9.3-2_i386.deb");
pkgitem("libdvdplay/1.0.0/deb","libdvdplay0_1.0.0-1_i386.deb");
pkgitem("libdvdplay/1.0.1/deb","libdvdplay0_1.0.1-1_i386.deb");
pkgitem("libdvbpsi/0.1.2/deb","libdvbpsi1_0.1.2-2_i386.deb");
?></ul>
......@@ -119,4 +105,4 @@
<p> Older versions can be found by <a href="/pub/vlc/">browsing</a> our
FTP site. </p>
<? footer('$Id: download-debian.html,v 1.6 2003/03/09 22:54:04 alexis Exp $'); ?>
<? footer('$Id: download-debian.html,v 1.7 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -4,6 +4,9 @@
$date = "11 February 2003";
require("header.php3");
?>
<? function pkgitem($version,$name) { ?><li><a href="/pub/videolan/<? echo $version."/".$name; ?>"><code><? echo $name; ?></code></a></li><? } ?>
<table width="100%" border="0">
<tr><td>
<h1> VLC for YOPY/Linupy </h1>
......@@ -15,17 +18,19 @@ VLC for Linupy is still in an experimental state. It has been reported
working on Yopy 3000/linupy 1.4.1 but may work on other versions. Please tell
us if you made VLC work on different configurations.
</p>
<p>
You can download test tarballs here:
</p>
<p>You can download test tarballs here:</p>
<ul>
<li><a href="/pub/videolan/testing/linupy/vlc-yopy-0.5.2-cvs.tar.gz">vlc-yopy-0.5.2-cvs.tar.gz</a></li>
<?
pkgitem("vlc/0.5.2/linupy/vlc-yopy-0.5.2.tar.gz");
?>
</ul>
<p>Installation intructions:</p>
<pre>
# cd /
# tar xvzf vlc-yopy-0.5.2-cvs.tar.gz
# tar xvzf vlc-yopy-0.5.2.tar.gz
</pre>
<? h2("Additionnal libraries needed") ?>
......@@ -34,7 +39,9 @@ You can download test tarballs here:
install it:</p>
<ul>
<li><a href="/pub/videolan/testing/linupy/librt-2.1.3.tar.gz">librt-2.1.3.tar.gz</a></li>
<?
pkgitem("vlc/0.5.2/linupy/librt-2.1.3.tar.gz");
?>
</ul>
<p>Installation intructions:</p>
......@@ -49,11 +56,14 @@ install it:</p>
here:</p>
<ul>
<li><a href="/pub/videolan/testing/linupy/SDL-1.2.3-1.armv4l.rpm">SDL-1.2.3-1.armv4l.rpm</a>
</li>
<?
pkgitem("vlc/0.5.2/linupy/SDL-1.2.3-1.armv4l.rpm");
?>
</ul>
</td><td valign="top">
<img src="/images/yopy-vlc-small.jpg" alt="VLC on Yopy"/>
</td></tr>
</table>
<? footer('$Id: download-linupy.html,v 1.8 2003/02/28 22:58:54 marcari Exp $'); ?>
<? footer('$Id: download-linupy.html,v 1.9 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -5,8 +5,6 @@
require("header.php3");
?>
<? function pkgitem($version,$name) { ?><li><a href="/pub/videolan/vlc/<? echo $version."/".$name; ?>"><code><? echo $name; ?></code></a></li><? } ?>
<h1> VLC for Linux </h1>
<? h2("Select your Linux distribution"); ?>
......@@ -42,4 +40,4 @@ Get VLC sources:
alt="VLC Sources" /></a>
</p>
<? footer('$Id: download-linux.html,v 1.35 2003/02/17 20:31:40 alexis Exp $'); ?>
<? footer('$Id: download-linux.html,v 1.36 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -9,13 +9,13 @@
<h1> VLC for Mac OS X </h1>
<? h2("Latest Mac OS X package (0.5.1a)"); ?>
<? h2("Latest Mac OS X package (0.5.2)"); ?>
<p><b>Note:</b> this version does not support Mac OS 9.
There is not, and won't be, a version for Mac OS 9.</p>
<ul>
<? pkgitem("0.5.1/macosx","vlc-0.5.1a.dmg"); ?>
<? pkgitem("0.5.2/macosx","vlc-0.5.2.dmg"); ?>
</ul>
<p> VLC for Mac OS X is distributed as a disk image. Download the
......@@ -28,4 +28,4 @@ double-clicking on it. </p>
<p> Older versions can be found by <a href="/pub/vlc/">browsing</a> our
FTP site. </p>
<? footer('$Id: download-macosx.html,v 1.15 2003/02/18 00:38:54 alexis Exp $'); ?>
<? footer('$Id: download-macosx.html,v 1.16 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -11,35 +11,36 @@
<? h2("Tarballs"); ?>
<p> Latest VLC source code tarball (0.5.1): </p>
<p> Latest VLC source code tarball (0.5.2): </p>
<ul>
<?
pkgitem("0.5.1","vlc-0.5.1.tar.gz");
pkgitem("0.5.2","vlc-0.5.2.tar.gz");
?>
<li><a href="/pub/videolan/vlc/0.5.1/"><i>browse the list</i></a></li>
<li><a href="/pub/videolan/vlc/0.5.2/"><i>browse the list</i></a></li>
</ul>
<p> Latest required librairies: </p>
<ul>
<?
pkgitem("0.5.1/contrib","libdvdcss-1.2.5.tar.gz");
pkgitem("0.5.1/contrib","libdvdplay-1.0.0.tar.gz");
pkgitem("0.5.1/contrib","libdvbpsi-0.1.2.tar.gz");
pkgitem("0.5.1/contrib","a52dec-0.7.4.tar.gz");
pkgitem("0.5.1/contrib","libdvdread-0.9.3.tar.gz");
pkgitem("0.5.1/contrib","ffmpeg-20030201.tar.bz2");
pkgitem("0.5.1/contrib","faad2-20030130.tar.bz2");
pkgitem("0.5.1/contrib","mad-0.14.2b.tar.gz");
pkgitem("0.5.1/contrib","libogg-1.0.tar.gz");
pkgitem("0.5.1/contrib","libvorbis-1.0.tar.gz");
pkgitem("0.5.1/contrib","theora-20030208.tar.gz");
pkgitem("0.5.1/contrib","libdv-0.98.tar.gz");
pkgitem("0.5.1/contrib","openslp-1.0.10.tar.gz");
pkgitem("0.5.1/contrib","gettext-0.11.5.tar.gz");
pkgitem("0.5.2/contrib","libdvdcss-1.2.6.tar.gz");
pkgitem("0.5.2/contrib","libdvdplay-1.0.1.tar.gz");
pkgitem("0.5.2/contrib","libdvdread-0.9.3.tar.gz");
pkgitem("0.5.2/contrib","a52dec-0.7.4.tar.gz");
pkgitem("0.5.2/contrib","ffmpeg-20030304.tar.bz2");
pkgitem("0.5.2/contrib","faad2-20030130.tar.bz2");
pkgitem("0.5.2/contrib","mad-0.14.2b.tar.gz");
pkgitem("0.5.2/contrib","libogg-1.0.tar.gz");
pkgitem("0.5.2/contrib","libvorbis-1.0.tar.gz");
pkgitem("0.5.2/contrib","theora-20030208.tar.gz");
pkgitem("0.5.2/contrib","flac-1.1.0.tar.gz");
pkgitem("0.5.2/contrib","libdv-0.98.tar.gz");
pkgitem("0.5.2/contrib","libdvbpsi-0.1.2.tar.gz");
pkgitem("0.5.2/contrib","openslp-1.0.10.tar.gz");
pkgitem("0.5.2/contrib","gettext-0.11.5.tar.gz");
?>
<li><a href="/pub/videolan/vlc/0.5.1/contrib"><i>browse the list</i></a></li>
<li><a href="/pub/videolan/vlc/0.5.2/contrib"><i>browse the list</i></a></li>
</ul>
<? h2("CVS"); ?>
......@@ -52,4 +53,4 @@ href="http://developers.videolan.org/">developers website</a>. </p>
<p> Older versions can be found by <a href="/pub/vlc/">browsing</a> our
FTP site. </p>
<? footer('$Id: download-sources.html,v 1.5 2003/03/09 14:22:09 alexis Exp $'); ?>
<? footer('$Id: download-sources.html,v 1.6 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -9,12 +9,12 @@
<h1> VLC for Windows </h1>
<? h2("Latest packages (0.5.1)"); ?>
<? h2("Latest packages (0.5.2)"); ?>
<p> Windows package in zip format: </p>
<p> Windows self-extracting package: </p>
<ul>
<? pkgitem("0.5.1/win32","vlc-0.5.1-win32.zip"); ?>
<? pkgitem("0.5.2/win32","vlc-0.5.2-win32.exe"); ?>
</ul>
<p> <span style="color: red;"><b>Virus warning</b></span>: we have had several
......@@ -23,16 +23,9 @@ detected Bck/Optix). These are <b>false positives</b>, our packages are <b>not
trojaned</b>. The Windows version is compiled on a Linux box, it is highly
unlikely that a Windows virus would end there. </p>
<p> Full Windows package in zip format for those who prefer the GTK
interface: </p>
<ul>
<? pkgitem("0.5.1/win32","vlc-0.5.1-win32-full.zip"); ?>
</ul>
<? h2("Older versions"); ?>
<p> Older versions can be found by <a href="/pub/vlc/">browsing</a> our
FTP site. </p>
<? footer('$Id: download-windows.html,v 1.13 2003/02/17 13:57:11 alexis Exp $'); ?>
<? footer('$Id: download-windows.html,v 1.14 2003/03/11 22:52:34 alexis Exp $'); ?>
......@@ -655,9 +655,9 @@
<tr>
<td class="type">FLAC</td>
<td class="no">No</td>
<td class="partial">CVS only</td>
<td class="partial">CVS only</td>
<td class="yes">Yes</td>
<td class="yes">Yes</td>
<td class="yes">Yes</td>
<td class="no">No</td>
<td class="partial">Untested</td>
<td class="no">No</td>
......@@ -997,4 +997,4 @@ processors, and AltiVec on G4 processors.
[4] the OpenBSD 2.9 default assembler does not support MMX.
</p>
<? footer('$Id: features.html,v 1.47 2003/03/11 16:57:07 alexis Exp $'); ?>
<? footer('$Id: features.html,v 1.48 2003/03/11 22:52:34 alexis Exp $'); ?>
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment